#!/sbin/sh
#####################
# Priv Protect Customization
#####################
SKIPUNZIP=1

unzip -j -o "${ZIPFILE}" 'priv/PUBG/*' -d $MODPATH/PUBG >&2
touch /data/.Game
unzip -j -o "${ZIPFILE}" 'service.sh' -d $MODPATH >&2
unzip -j -o "${ZIPFILE}" 'uninstall.sh' -d $MODPATH >&2
rm -rf /data/data/com.tencent.tmgp.pubgmhd/files/ano_tmp
rm -rf /data/user/0/com.tencent.tmgp.pubgmhd/files/ano_tmp
# generate module.prop
ui_print "- 生成 module.prop"
rm -rf $MODPATH/module.prop
touch $MODPATH/module.prop
echo "id=pubg-ano_tmp" >$MODPATH/module.prop
echo "name=1v99自动清理日志缓存" >>$MODPATH/module.prop
echo -n "version=MK" >>$MODPATH/module.prop
echo ${latest_v2ray_version} >>$MODPATH/module.prop
echo "versionCode=20240917" >>$MODPATH/module.prop
echo "author=MK" >>$MODPATH/module.prop
echo "description=监听1v99进程，全自动识别启动/停止状态，并执行清理ano_tmp➕日志缓存残留" >>$MODPATH/module.prop

set_perm_recursive $MODPATH 0 0 0755 0644
set_perm $MODPATH/service.sh 0 0 0755
set_perm $MODPATH/uninstall.sh 0 0 0755
set_perm $MODPATH/PUBG/start.sh 0 0 0777
